Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
pk_algs.cpp File Reference
`#include <botan/pk_algs.h>`
`#include <botan/parsing.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
std::unique_ptr< Private_Key > | Botan::create_private_key (const std::string &alg_name, RandomNumberGenerator &rng, const std::string &params, const std::string &provider)
std::unique_ptr< Private_Key > | Botan::load_private_key (const AlgorithmIdentifier &alg_id, const secure_vector< uint8_t > &key_bits)
std::unique_ptr< Public_Key > | Botan::load_public_key (const AlgorithmIdentifier &alg_id, const std::vector< uint8_t > &key_bits)
std::vector< std::string > | Botan::probe_provider_private_key (const std::string &alg_name, const std::vector< std::string > possible)